@echo off
set COB_LIBRARY_PATH=.;%COB_LIBRARY_PATH%
echo FUNDAMENTAL TEST GROUP

echo DISPLAY literals
copy /y fundamental.1 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff fundamental.2 result
if errorlevel 1 goto err


echo DISPLAY literals, Decimal Point is COMMA
copy /y fundamental.3 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff fundamental.4 result
if errorlevel 1 goto err

echo Hexadecimal literal
copy /y fundamental.5 prog.cob > nul
copy /y fundamental.11 dump.c > nul
cl /LD dump.c > comp.out 2>&1
if errorlevel 1 goto err
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff fundamental.6 result
if errorlevel 1 goto err

echo DISPLAY data items with VALUE clause
copy /y fundamental.7 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff fundamental.8 result
if errorlevel 1 goto err

echo DISPLAY data items with MOVE statement
copy /y fundamental.9 prog.cob > nul
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob > comp.out 2>&1
if errorlevel 1 goto err
prog > result
if errorlevel 1 goto err
diff fundamental.10 result
if errorlevel 1 goto err

echo FUNDAMENTAL TEST PASSED
del test.conf dump.* prog.* result comp.out
goto end

:err
	echo FUNDAMENTAL TEST FAILED
	pause
:end
